# PCICCSetFill

Indicate the amount of fill you expect in the factored matrix, where fill = number nonzeros in factor/number nonzeros in original matrix.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCICCSetFill(PC pc,PetscReal fill)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| fill | - amount of expected fill

### Options Database Key

     -pc_icc_fill <fill>

### Note

For sparse matrix factorizations it is difficult to predict how much fill to expect. By running with the option -log_info PETSc will print the actual amount of fill used; allowing you to set the value accurately for future runs. But default PETSc uses a value of 1.0

### Keywords

PC, set, factorization, direct, fill

### See Also

PCLUSetFill()

Level:intermediate
Location:src/ksp/pc/impls/icc/icc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages